package org.jboss.qa.ejb.backwardscompatibility.shared;

import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * Interface with several methods with various types of parameters for test of remote invoking.
 * 
 * @author ochaloup
 */
public interface SendRequestRemote {
    void setVariableParam(String var);
    
    boolean sendBoolean(boolean value);
    byte sendByte(byte value);
    int sendInt(int value);
    short sendShort(short value);
    long sendLong(long value);
    float sendFloat(float value);
    double sendDouble(double value);
    char sendChar(char value);
    
    int[] sendIntArray(int[] value);
    
    Boolean sendBoolean(Boolean value);
    Integer sendInteger(Integer value);
    Character sendCharacter(Character value);
    String sendString(String value);
    Date sendDate(Date value);
    
    List<String> sendStringList(List<String> value);
    Map<Integer,String> sendStringMap(Map<Integer, String> value);
    Set<String> sendStringSet(Set<String> value);
}
